Bug 831567 - /bin/passwd clutters the screen with "Value: '8'Value: '4'Value: '3'Val..."
/bin/passwd clutters the screen with "Value: '8'Value: '4'Value: '3'Val..."
Product: Fedora
Classification: Fedora
Component: libpwquality (Show other bugs)
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-13 06:28 EDT by Bert DeKnuydt
Modified: 2012-06-27 23:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-27 23:54:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bert DeKnuydt 2012-06-13 06:28:57 EDT
Description of problem:

Type passwd to change some account's password, and you see a string like

Value: '8'Value: '4'Value: '3'Value: '0'Value: '0'Value: '0'Value: '0'Value: '0'

printed to the screen cluttering the usual 'Changing password for...' 
and 'New password' prompts

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Enter 'passwd' at the bash prompt
Actual results:

Changing password for user xxx.
Value: '8'Value: '4'Value: '3'Value: '0'Value: '0'Value: '0'Value: '0'Value: '0'Changing password for xxx.
(current) UNIX password: 
Value: '8'Value: '4'Value: '3'Value: '0'Value: '0'Value: '0'Value: '0'Value: '0'New password: 

Expected results:

No debug output. 

Additional info:

I suppose that what is printed is debug stuff from/related with libpwquality.
Comment 1 Fedora Update System 2012-06-13 11:09:16 EDT
libpwquality-1.1.1-1.fc17 has been submitted as an update for Fedora 17.
Comment 2 Fedora Update System 2012-06-14 20:28:38 EDT
Package libpwquality-1.1.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libpwquality-1.1.1-1.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-06-27 23:54:48 EDT
libpwquality-1.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.